/**
 * @file ntmattr.c
 * @author Shinichiro Nakamura
 * @brief メモリ情報の実装。
 */

/*
 * ===============================================================
 *  Natural Tiny Monitor (NT-Monitor)
 * ===============================================================
 * Copyright (c) 2011-2012 Shinichiro Nakamura
 * Inspired by M, Murakami
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 * ===============================================================
 */

#include "ntmattr.h"
#include "ntmutil.h"

/**
 * @brief メモリ情報を取得する。
 *
 * @param addr アドレス。
 * @param meminfo メモリ情報構造体。
 *
 * @retval 0 指定アドレスのメモリ情報が存在し取得した。
 * @retval !0 指定アドレスのメモリ情報が存在しなかった。
 */
int ntmattr_get_info(uint32_t addr, ntmattr_info_t *meminfo)
{
    NTMUTIL_UNUSED_VARIABLE(addr);
    NTMUTIL_UNUSED_VARIABLE(meminfo);
    /*
     * @todo Implement for your processor.
     */
    return 0;
}

